var _class, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import PropTypes from 'prop-types';
import Radium from 'radium';
import style from './style';

var Button = (_temp = _class = function (_React$Component) {
  _inherits(Button, _React$Component);

  function Button() {
    _classCallCheck(this, Button);

    return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
  }

  Button.prototype.render = function render() {
    var _props = this.props,
        style = _props.style,
        onClick = _props.onClick,
        inlineStyle = _props.inlineStyle,
        children = _props.children,
        type = _props.type;


    return React.createElement(
      'button',
      { style: [style.base, style.primary, style[type], inlineStyle], onClick: onClick, type: 'Button' },
      children
    );
  };

  return Button;
}(React.Component), _class.defaultProps = {
  style: style,
  type: 'normal'
}, _temp);

//$FlowFixMe

Button.propTypes = process.env.NODE_ENV !== "production" ? {
  /** Default style for button */
  style: PropTypes.object,
  type: PropTypes.string,
  onClick: PropTypes.func
} : {};
export default Radium(Button);