import React from 'react';
import PropTypes from 'prop-types';

var TableColumn = function TableColumn() {
  return React.createElement(
    'div',
    null,
    'Table column'
  );
};

TableColumn.defaultProps = {
  header: '',
  propName: null,
  footer: null,
  width: '1 0',
  action: false
};

TableColumn.propTypes = process.env.NODE_ENV !== "production" ? {
  header: PropTypes.string.isRequired,
  propName: PropTypes.string,
  width: PropTypes.string,
  action: PropTypes.bool,
  onClick: PropTypes.func
} : {};

TableColumn.displayName = 'TableColumn';

export default TableColumn;