'use strict';

exports.__esModule = true;

var _class, _temp;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _style = require('./style');

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Button = (_temp = _class = function (_React$Component) {
  _inherits(Button, _React$Component);

  function Button() {
    _classCallCheck(this, Button);

    return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
  }

  Button.prototype.render = function render() {
    var _props = this.props,
        style = _props.style,
        onClick = _props.onClick,
        inlineStyle = _props.inlineStyle,
        children = _props.children,
        type = _props.type;


    return React.createElement(
      'button',
      { style: [style.base, style.primary, style[type], inlineStyle], onClick: onClick, type: 'Button' },
      children
    );
  };

  return Button;
}(React.Component), _class.defaultProps = {
  style: _style2.default,
  type: 'normal'
}, _temp);

//$FlowFixMe

Button.propTypes = process.env.NODE_ENV !== "production" ? {
  /** Default style for button */
  style: _propTypes2.default.object,
  type: _propTypes2.default.string,
  onClick: _propTypes2.default.func
} : {};
exports.default = (0, _radium2.default)(Button);
module.exports = exports['default'];