'use strict';

exports.__esModule = true;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var Layout = function Layout(_ref) {
  var children = _ref.children,
      direction = _ref.direction;
  return React.createElement(
    'div',
    {
      style: [_styles2.default.base, _styles2.default[direction]],
      type: 'Layout'
    },
    children
  );
};

Layout.propTypes = process.env.NODE_ENV !== "production" ? {
  direction: _propTypes2.default.oneOf(['horizontal', 'vertical'])
} : {};

Layout.defaultProps = {
  style: _styles2.default,
  direction: 'horizontal'
};

//$FlowFixMe
exports.default = (0, _radium2.default)(Layout);
module.exports = exports['default'];