'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TableColumn = function TableColumn() {
  return _react2.default.createElement(
    'div',
    null,
    'Table column'
  );
};

TableColumn.defaultProps = {
  header: '',
  propName: null,
  footer: null,
  width: '1 0',
  action: false
};

TableColumn.propTypes = process.env.NODE_ENV !== "production" ? {
  header: _propTypes2.default.string.isRequired,
  propName: _propTypes2.default.string,
  width: _propTypes2.default.string,
  action: _propTypes2.default.bool,
  onClick: _propTypes2.default.func
} : {};

TableColumn.displayName = 'TableColumn';

exports.default = TableColumn;
module.exports = exports['default'];